%define name poppassd-ceti
%define version 1.8
%define release 3rh

Summary: An Eudora and NUPOP change password server.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.ceti.com.pl/~kravietz/prog.html
Source0: ftp://ftp.ceti.com.pl/pub/linux/poppassd-1.8-ceti.tar.gz
Source1: poppassd.pam.bz2
Source2: poppassd.xinetd.bz2
Patch0: poppassd-ceti-1.8-rpm.patch.bz2
Patch1: poppassd-ceti-1.8-pamservice.patch.bz2
Patch2: poppassd-buildroot.patch.bz2
Patch3: poppassd-ceti-1.8-uid500.patch.bz2
License: Distributable
Provides: poppassd
Requires: pam net-tools setup tcp_wrappers sysklogd
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Poppassd is a daemon allowing users to change their password via Eudora 
or NUPOP using a network protocol on port 106. This package uses PAM.

Original version based on John Norstad's poppassd code. John
Norstad's program ran the regular unix "passwd" command. This version
calls PAM to change the password.

Examine the (un)install scripts with "rpm --scripts <package>" before
(de)installation. They modify some system configuration files.

(See also ftp://ftp.nwu.edu/pub/poppassd for Norstad's original code).

[Note, to log poppassd password changes, add the following line:

	local4.err 	-/var/log/poppassd.log

to your /etc/syslog.conf file.]

%prep
%setup -n poppassd_1.8
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#%serverbuild
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin \
	$RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
	$RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
make INSTALL_PREFIX=$RPM_BUILD_ROOT install
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/poppassd
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/poppassd
chmod 644 README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%attr(0700,root,root) %{_prefix}/sbin/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/poppassd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/poppassd

%changelog
* Fri Mar 08 2002 Oliver Schulze <oliver@samera.com.py> 1.8-3
- changed POP_MIN_UID to 500
- build on RedHat 7.1

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.8-2mdk
- fix require

* Mon Sep 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8-1mdk
- initial release.
